Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray.intersection
Class OctreeCell

    java.lang.Object
      de.grogra.ray.intersection.OctreeCell

    public class OctreeCell

extends java.lang.Object

Field Summary
`int` | `testInt`

Constructor Summary
`OctreeCell(int depth)`
`OctreeCell(int depth, Vector3f minValues, Vector3f maxValues)`

Method Summary
`void` | `divideNode()`
`OctreeCell` | `getChild(int index)`
`int` | `getDepth()`
`java.util.ArrayList` | `getLinkedObjects()`
`Vector3f` | `getMaxValues()`
`Vector3f` | `getMinValues()`
`OctreeCell` | `getNeighbourBack()`
`OctreeCell` | `getNeighbourBottom()`
`OctreeCell` | `getNeighbourFront()`
`OctreeCell` | `getNeighbourLeft()`
`OctreeCell` | `getNeighbourRight()`
`OctreeCell` | `getNeighbourTop()`
`boolean` | `hasChildren()`
`boolean` | `hasIntersection(Ray ray)`
`void` | `setExtension(Vector3f minValues, Vector3f maxValues)`
`void` | `setNeighbours(OctreeCell front, OctreeCell back, OctreeCell top, OctreeCell bottom, OctreeCell left, OctreeCell right)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### testInt

    public int testInt

Constructor Detail

### OctreeCell

    public OctreeCell(int depth)

### OctreeCell

    public OctreeCell(int depth,
                      Vector3f minValues,
                      Vector3f maxValues)

Method Detail

### divideNode

    public void divideNode()

### getChild

    public OctreeCell getChild(int index)

### getDepth

    public int getDepth()

### getLinkedObjects

    public java.util.ArrayList getLinkedObjects()

### getMaxValues

    public Vector3f getMaxValues()

### getMinValues

    public Vector3f getMinValues()

### getNeighbourBack

    public OctreeCell getNeighbourBack()

### getNeighbourBottom

    public OctreeCell getNeighbourBottom()

### getNeighbourFront

    public OctreeCell getNeighbourFront()

### getNeighbourLeft

    public OctreeCell getNeighbourLeft()

### getNeighbourRight

    public OctreeCell getNeighbourRight()

### getNeighbourTop

    public OctreeCell getNeighbourTop()

### hasChildren

    public boolean hasChildren()

### hasIntersection

    public boolean hasIntersection(Ray ray)

### setExtension

    public void setExtension(Vector3f minValues,
                             Vector3f maxValues)

### setNeighbours

    public void setNeighbours(OctreeCell front,
                              OctreeCell back,
                              OctreeCell top,
                              OctreeCell bottom,
                              OctreeCell left,
                              OctreeCell right)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD